petsc-3.7.1 2016-05-15
Report Typos and Errors

# PetscOptionsView

Prints the options that have been loaded. This is useful for debugging purposes.

### Synopsis

    #include "petscsys.h"
    PetscErrorCode  PetscOptionsView(PetscOptions options,PetscViewer viewer)

Logically Collective on PetscViewer Many br

### Input Parameter

viewer - must be an PETSCVIEWERASCII viewer Many br

### Options Database Key

-options_table - Activates PetscOptionsView() within PetscFinalize() Many br

Many br

### See Also

PetscOptionsAllUsed()

Level:advanced
Location:src/sys/objects/options.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/sys/examples/tutorials/ex9.c.html
src/sys/examples/tutorials/ex10f90.F90.html